@echo off
if "%1"=="" goto err
pkunzip %1 *.669 >NUL
pkunzip %1 *.AMF >NUL
pkunzip %1 *.FAR >NUL
pkunzip %1 *.MOD >NUL
pkunzip %1 *.MTM >NUL
pkunzip %1 *.NST >NUL
pkunzip %1 *.S3M >NUL
pkunzip %1 *.STM >NUL
pkunzip %1 *.ULT >NUL
del %1
for %h in (*.669) do modizip %h -d
for %h in (*.AMF) do modizip %h -d
for %h in (*.FAR) do modizip %h -d
for %h in (*.MOD) do modizip %h -d
for %h in (*.MTM) do modizip %h -d
for %h in (*.NST) do modizip %h -d
for %h in (*.S3M) do modizip %h -d
for %h in (*.STM) do modizip %h -d
for %h in (*.ULT) do modizip %h -d
goto fin
:err
echo Ce fichier ne peut ˆtre ex‚cut‚ que par DMA v1.29á1
:fin
